QGIS Application - Bug report #14797
Default WMS servers wrong
2016-05-09 10:34 AM - Paolo Cavallini

Status: In Progress

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:3.0.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22754
Description

The button Add default WMS servers in he Add WMS dialog add two entries:
- http://wms.lizardtech.com/lizardtech/iserv/ows
- http://www?2.dmsolutions.ca/cgi-bin/mswms_gmap

Both of which throw an error:

- Error downloading http://wms.lizardtech.com/lizardtech/iserv/ows ?SERVICE=WMS&#38;REQUEST=GetCapabilities - server
replied: Bad Request

- Host www2.dmsolutions.ca not found

Please remove them, better to add working ones (check e.g. MetaSearch plugin for a list), best if the two lists (WMS and Mettasearch,
possibly also WFS) would be integrated.

History

#1 - 2016-12-29 05:37 AM - Anita Graser
- Affected QGIS version changed from 2.14.2t0 2.18.2
- Target version changed from Version 2.16 to Future Release - High Priority

#2 - 2017-05-01 01:05 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2018-02-25 04:00 PM - Paolo Cavallini

- Affected QGIS version changed from 2.18.2 to 3.0.0
- Status changed from Open to In Progress

- Description updated

Wrong servers removed, but now http://tiles.boundlessgeo.com/ (one of the two defaults left) throws an error "Error transferring http" etc.

#4 - 2018-02-25 05:49 PM - Giovanni Manghi
- Pull Request or Patch supplied changed from No to Yes

Fixed here: https://github.com/qgis/QGIS/pull/6453
